package gov.va.med.cds.exception;

public class ClinicalDataServiceException 
extends AbstractCdsBaseException
{
	/**
	 * 
	 */
	private static final long serialVersionUID = -1322378499159273073L;
	
	public ClinicalDataServiceException(ErrorCodeEnum errorCode, Throwable cause, String... customMsgValues)
	{
		super(errorCode, cause, customMsgValues);
	}

	public ClinicalDataServiceException(ErrorCodeEnum errorCode, Throwable cause)
	{
		super(errorCode, cause);
	}

	public ClinicalDataServiceException(ErrorCodeEnum errorCode, String...  customMsgValues)
	{
		super(errorCode, customMsgValues);
	}

	public ClinicalDataServiceException(ErrorCodeEnum errorCode)
	{
		super(errorCode);
	}
	
}
